Update a Record
Update an existing record by its ID.
curl --request PATCH \
--url https://api.example.com/apps/{app_id}/collections/{collection_id}/records/{record_id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "New Important Record",
"rules": {},
"run": "changed",
"tags_ids": [
"tag_xxx",
"tag_yyy"
]
}
'import requests
url = "https://api.example.com/apps/{app_id}/collections/{collection_id}/records/{record_id}"
payload = {
"name": "New Important Record",
"rules": {},
"run": "changed",
"tags_ids": ["tag_xxx", "tag_yyy"]
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'New Important Record',
rules: {},
run: 'changed',
tags_ids: ['tag_xxx', 'tag_yyy']
})
};
fetch('https://api.example.com/apps/{app_id}/collections/{collection_id}/records/{record_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "Important Record",
"status": "COMPLETED",
"source": "API",
"rules_count": 123,
"rules_pass_count": 123,
"rules_fail_count": 123,
"rules_warn_count": 123,
"rules": {},
"collection_name": "<string>",
"collection_id": "col_xxx",
"created_by": {
"id": "user_xxx",
"name": "John Doe"
},
"tags": [
{
"id": "<string>",
"name": "<string>",
"color": "<string>",
"app_id": "<string>",
"created_at": "2023-12-25",
"updated_at": "2023-12-25"
}
],
"created_at": "2023-12-25",
"updated_at": "2023-12-25",
"link": "<string>",
"config": {
"id": "<string>",
"mappings": [
{
"source_path": "LOAN_APPLICATION:income",
"destination_paths": [
"MONTHLY_INCOME:amount",
"ANNUAL_INCOME:amount"
]
}
],
"created_at": "2023-12-25",
"updated_at": "2023-12-25",
"rules": [
{
"name": "Check Business Name",
"key": "CHECK_BUSINESS_NAME",
"on_success": "PASS",
"on_fail": "WARN",
"workflow_id": "work_xxx",
"workflow_version_id": "workv_xxx",
"workflow_use_latest": true,
"workflow": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"app": {
"id": "<string>",
"name": "<string>",
"verified": true
},
"version": {
"id": "<string>",
"app_id": "<string>",
"workflow_id": "<string>",
"description": "<string>",
"version": 123,
"notes": "<string>",
"created_at": "2023-12-25",
"key": "<string>",
"input": {},
"input_default": {},
"input_options": {
"display": {
"hidden": true
}
},
"steps": [
{
"type": "note",
"key": "<string>",
"note": "<string>",
"conditional": "<string>",
"loop": "<string>",
"throw_on_error": true,
"input_connected": true,
"destinations": [
"<string>"
],
"position": [
123
],
"size": [
101
],
"auto": {
"provider": "<string>",
"model": "<string>",
"temperature": 1
}
}
],
"rollback_version": 123,
"created_by": {
"id": "<string>",
"name": "<string>"
}
},
"tags": [
{
"id": "<string>",
"name": "<string>",
"color": "<string>",
"app_id": "<string>",
"created_at": "2023-12-25",
"updated_at": "2023-12-25"
}
],
"template_id": "<string>",
"runs_count": 0,
"retention": {
"max_age_in_seconds": 3600,
"preserve_on_failure": true
},
"enabled": true,
"deleted": false,
"created_at": "2023-12-25",
"updated_at": "2023-12-25",
"key": "<string>",
"input": {},
"input_default": {},
"input_options": {
"display": {
"hidden": true
}
},
"steps": [
{
"type": "note",
"key": "<string>",
"note": "<string>",
"conditional": "<string>",
"loop": "<string>",
"throw_on_error": true,
"input_connected": true,
"destinations": [
"<string>"
],
"position": [
123
],
"size": [
101
],
"auto": {
"provider": "<string>",
"model": "<string>",
"temperature": 1
}
}
],
"tests_stats": {
"total_count": 123,
"running_count": 123,
"cancelled_count": 123,
"passing_count": 123,
"failing_count": 123,
"expectations_failing_count": 123,
"expectations_passing_count": 123
}
},
"workflow_version": {
"id": "<string>",
"app_id": "<string>",
"workflow_id": "<string>",
"description": "<string>",
"version": 123,
"notes": "<string>",
"created_at": "2023-12-25",
"key": "<string>",
"input": {},
"input_default": {},
"input_options": {
"display": {
"hidden": true
}
},
"steps": [
{
"type": "note",
"key": "<string>",
"note": "<string>",
"conditional": "<string>",
"loop": "<string>",
"throw_on_error": true,
"input_connected": true,
"destinations": [
"<string>"
],
"position": [
123
],
"size": [
101
],
"auto": {
"provider": "<string>",
"model": "<string>",
"temperature": 1
}
}
],
"rollback_version": 123,
"created_by": {
"id": "<string>",
"name": "<string>"
}
},
"execution_order": "before-all",
"step_key": "<string>",
"workflow_input_default": {
"business_name": "Example Corp"
},
"disabled": false
}
]
},
"entity": {
"id": "<string>",
"entity_id": "<string>",
"status": "SYNCED",
"type": "ENCOMPASS",
"trigger_id": "<string>",
"record_id": "<string>",
"data": {},
"created_at": "2023-12-25",
"updated_at": "2023-12-25"
},
"usage": {
"total": 123,
"rules": {},
"calls": [
{
"id": "<string>",
"total": 123,
"calls": [
"<unknown>"
]
}
]
}
}Path Parameters
The ID of the app
The ID of the collection
The ID of the record
Query Parameters
Properties to include in the record response
all ["all"]Body
Provide the changes you want to make to the record.
Name of the record (up to 128 characters)
1 - 128"New Important Record"
The rules to be applied to the record
Show child attributes
Show child attributes
When running the record, specify whether all rules should be executed or only the changed ones
all, changed "changed"
Tags to associate with the record (up to 20)
20["tag_xxx", "tag_yyy"]Response
You will receive the updated record details.
Detailed information about a record with the details of the trigger entity and collection configuration
Unique identifier for the record
Name of the record
"Important Record"
Current status of the record
DRAFT, QUEUED, RUNNING, CANCELLED, COMPLETED, FAILED "COMPLETED"
Source from which the record was created
APP, API, TRIGGER, WORKFLOW "API"
Total number of rules of this record
Number of passed rules
Number of failed rules
Number of rules with warnings
Rules associated with this record
Show child attributes
Show child attributes
Name of the collection this record belongs to
Unique identifier of the collection this record belongs to
"col_xxx"
User who created this record
Show child attributes
Show child attributes
{ "id": "user_xxx", "name": "John Doe" }Tags associated with this record
Show child attributes
Show child attributes
Timestamp when the record was created
Timestamp when the record was last updated
Link to the record in the UI
Show child attributes
Show child attributes
Detailed information about a trigger entity
Show child attributes
Show child attributes
Credit usage information of the record
Show child attributes
Show child attributes
Was this page helpful?
